Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.jaas
Class JaasNameCallbackHandler

    java.lang.Object
      org.acegisecurity.providers.jaas.JaasNameCallbackHandler

All Implemented Interfaces:
  JaasAuthenticationCallbackHandler

    public class JaasNameCallbackHandler

extends Object
implements JaasAuthenticationCallbackHandler

The most basic Callbacks to be handled when using a LoginContext from JAAS, are the NameCallback and PasswordCallback. The acegi security framework provides the JaasNameCallbackHandler specifically tailored to handling the NameCallback.

Version:
  $Id: JaasNameCallbackHandler.java,v 1.6 2005/11/29 13:10:08 benalex Exp $
Author:
  Ray Krueger
See Also:
  Callback, NameCallback

Constructor Summary
`JaasNameCallbackHandler()`

Method Summary
`void` | `handle(Callback callback, Authentication authentication)` If the callback passed to the 'handle' method is an instance of NameCallback, the JaasNameCallbackHandler will call, callback.setName(authentication.getPrincipal().toString()).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasNameCallbackHandler

    public JaasNameCallbackHandler()

Method Detail

### handle

    public void handle(Callback callback,
                       Authentication authentication)
                throws IOException,
                       UnsupportedCallbackException

  If the callback passed to the 'handle' method is an instance of NameCallback, the JaasNameCallbackHandler will call, callback.setName(authentication.getPrincipal().toString()).

  Specified by:
    `handle` in interface `JaasAuthenticationCallbackHandler`
  Parameters:
    `callback` -
    `authentication` -
  Throws:
    `IOException`
    `UnsupportedCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.